# Class ImportedRootElementAttributes

Used for the attributes of root element that is being imported.

#### Hierarchy (view full)

- XmlComponent
  - ImportedRootElementAttributes

- Defined in file/xml-components/imported-xml-component.ts:78

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new ImportedRootElementAttributes(_attr): ImportedRootElementAttributes

- #### Parameters

  - _attr: any

  #### Returns ImportedRootElementAttributes

  Overrides XmlComponent.constructor

  - Defined in file/xml-components/imported-xml-component.ts:80

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - _: IContext

  #### Returns IXmlableObject

  Overrides XmlComponent.prepForXml

  - Defined in file/xml-components/imported-xml-component.ts:84

Generated using TypeDoc